#!/bin/sh
#
EXT=apache2.4
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash file \
		apr apr-util apr-dev apr-util-dev openldap-dev openldap libxml2-dev \
		recode-dev recode net-snmp-dev net-snmp unixODBC-dev unixODBC \
		libgd-dev libgd libmcrypt-dev libmcrypt curl-dev curl db-dev \
		enchant-dev mariadb-10.1-dev libwebp libwebp-dev mariadb-10.1 \
		libXpm-dev libXpm libgd-dev libgd libvpx-dev gmp-dev gmp \
		icu-dev cyrus-sasl-dev cyrus-sasl fontconfig-dev libXft-dev \
		libnghttp2-dev libnghttp2 xorg-server-dev lua-dev perl5 \
		postgresql-9.5 postgresql-9.5-dev squashfs-tools
	do tce-load -i $a
done

#make clean
./configure \
	--bindir=/usr/local/bin \
	--sbindir=/usr/local/sbin \
	--sysconfdir=/usr/local/etc/httpd \
	--localstatedir=/var \
	--enable-ssl \
	--enable-so \
	--enable-mods-shared=reallyall \
	--enable-mpms-shared=all \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ || exit
else
	make install DESTDIR=$TCZ || exit
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

rm -rf $TCZ/var
mkdir -p $TCZ-dev/usr/local/apache2
mkdir -p $TCZ-doc/usr/local/apache2

rm -f $TCZ/usr/local/etc/httpd/httpd.conf
rm -rf $TCZ/usr/local/etc/httpd/extra
mkdir -p $TCZ/usr/local/etc/httpd/conf.d
mv $TCZ/usr/local/etc/httpd/original/extra $TCZ/usr/local/etc/httpd/original/conf.d
mv $TCZ/usr/local/etc/httpd/original/httpd.conf $TCZ/usr/local/etc/httpd/original/httpd.conf-sample

mv $TCZ/usr/local/apache2/include $TCZ-dev/usr/local/apache2
mv $TCZ/usr/local/apache2/build $TCZ-dev/usr/local/apache2

mv $TCZ/usr/local/apache2/man $TCZ-doc/usr/local/share
mv $TCZ/usr/local/apache2/manual $TCZ-doc/usr/local/apache2

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
mksquashfs $TCZ-doc /tmp/$EXT/$EXT-doc.tcz -noappend

